Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IStreamsProxy

public interface IStreamsProxy

A streams proxy acts as proxy between the streams of a process and interested clients. This abstraction allows implementations of `IProcess` to handle I/O related to the standard input, output, and error streams associated with a process.

Clients implementing the `IProcess` interface must also provide an implementation of this interface.

See Also:
  `IProcess`

Method Summary
`IStreamMonitor` | `getErrorStreamMonitor()` Returns a monitor for the error stream of this proxy's process, or `null` if not supported.
`IStreamMonitor` | `getOutputStreamMonitor()` Returns a monitor for the output stream of this proxy's process, or `null` if not supported.
`void` | `write(String input)` Writes the given text to the output stream connected to the standard input stream of this proxy's process.

Method Detail

### getErrorStreamMonitor

    public IStreamMonitor getErrorStreamMonitor()

  Returns a monitor for the error stream of this proxy's process, or `null` if not supported. The monitor is connected to the error stream of the associated process.

  Returns:
    an error stream monitor, or `null` if none

### getOutputStreamMonitor

    public IStreamMonitor getOutputStreamMonitor()

  Returns a monitor for the output stream of this proxy's process, or `null` if not supported. The monitor is connected to the output stream of the associated process.

  Returns:
    an output stream monitor, or `null` if none

### write

    public void write(String input)
               throws IOException

  Writes the given text to the output stream connected to the standard input stream of this proxy's process.

  Parameters:
    `input` - the text to be written
  Throws:
    `IOException` - when an error occurs writing to the underlying `OutputStream`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.